Generates or regenerates an API key for a tenant.
Permission Level: Read-Write
POST /tenants/{tenantId}/api-keys:generate
Operation id: TenantService_GenerateAPIKey
Tags: TenantService
Parameters
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
tenantId | string | Yes | The tenant ID for which to generate an API key |
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Request body
Required: Yes
application/json
Schema
{
"type": "object"
}
Response models
200 — A successful response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
apiKey | string | No |
{
"type": "object",
"properties": {
"apiKey": {
"type": "string"
}
}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}